QHttp(3qt)

NAME
QHttp - Implementation of the HTTP protocol

SYNOPSIS
#include <qhttp.h>

Inherits QNetworkProtocol.

  Public Members
QHttp ()
virtual ~QHttp ()

DESCRIPTION
The QHttp class provides an implementation of the HTTP protocol.

This class is derived from QNetworkProtocol and can be used with QUrlOperator. In practice this class is used through a QUrlOperator rather than directly, for example:

  QUrlOperator op( "http://www.trolltech.com" );
  op.get( "index.html" );

Note: this code will only work if the QHttp class is registered; to register the class, you must call qInitNetworkProtocols() before using a QUrlOperator with HTTP.

QHttp only supports the operations operationGet() and operationPut(), i.e. QUrlOperator::get() and QUrlOperator::put(), if you use it with a QUrlOperator.

If you really need to use QHttp directly, don't forget to set the QUrlOperator on which it operates using setUrl().

See also Qt Network Documentation, QNetworkProtocol, QUrlOperator and Input/Output and Networking.

MEMBER FUNCTION DOCUMENTATION

QHttp::QHttp ()
Constructs a QHttp object. Usually there is no need to use QHttp directly, since it is more convenient to use it through a QUrlOperator. If you want to use it directly, you must set the QUrlOperator on which it operates using setUrl().

QHttp::~QHttp () [virtual]
Destroys the QHttp object.

SEE ALSO
http://doc.trolltech.com/qhttp.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qhttp.3qt) and the Qt version (3.0.3).